#!/usr/bin/env python

import logging
import os
import sys
import remotecontrol

LOG_LEVEL = logging.INFO
LOG_FILE = "/var/log/gardencontrol.log"
LOG_FORMAT = "%(asctime)s %(levelname)s %(message)s"

def main():
    logging.basicConfig(format=LOG_FORMAT, level=LOG_LEVEL, filename=LOG_FILE)
    # logging.basicConfig(format=LOG_FORMAT, level=LOG_LEVEL)

    log = logging.getLogger()
    config_file = os.path.join(os.path.expanduser('~'), ".config/gardencontrol/config.json")

    log.info("Starting...")
    server = remotecontrol.Remotecontrol(config_file)
    server.start()


if __name__ == '__main__':
    sys.exit(main())
